# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

Name:		perl-autodie
Version:	2.10
Release:	4.%{__distinit}%{__distvers}
Summary:	Replace functions with ones that succeed or die
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/autodie/
Source0:	http://search.cpan.org/CPAN/authors/id/P/PJ/PJF/autodie-%{version}.tar.gz
Patch0:		autodie-2.10-rt53506.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(BSD::Resource)
BuildRequires:	perl(IPC::System::Simple) >= 0.12
BuildRequires:	perl(Sub::Identify)
BuildRequires:	perl(Test::Kwalitee)
BuildRequires:	perl(Test::More)
# Perl::Critic not available prior to FC-5 and Perl 5.8.8
%if %(%{__perl} -e 'print (($] >= 5.008008) ? 1 : 0);')
BuildRequires:	perl(Test::Perl::Critic)
%endif
BuildRequires:	perl(Test::Pod)
# Pod Coverage test fails in 2.10
BuildConflicts:	perl(Test::Pod::Coverage)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(IPC::System::Simple) >= 0.12

%description
The autodie pragma has lexical scope, meaning that functions and subroutines
altered with autodie will only change their behaviour until the end of the
enclosing block, file, or eval.

If system is specified as an argument to autodie, then it uses
IPC::System::Simple to do the heavy lifting.

%prep
%setup -q -n autodie-%{version}

# t/caller.t fails with perl < 5.8.5 (CPAN RT#53506)
%patch0 -p1

# Strip bogus exec permissions
chmod -c -x Changes README TODO lib/Fatal.pm

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} \; 2>/dev/null
%{_fixperms} %{buildroot}

%check
make test TEST_AUTHOR=1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS Changes README TODO
%{perl_vendorlib}/Fatal.pm
%{perl_vendorlib}/autodie.pm
%{perl_vendorlib}/autodie/
%{_mandir}/man3/Fatal.3pm*
%{_mandir}/man3/autodie.3pm*
%{_mandir}/man3/autodie::exception.3pm*
%{_mandir}/man3/autodie::exception::system.3pm*
%{_mandir}/man3/autodie::hints.3pm*

%changelog
* Mon Oct 17 2011 Paul Howarth <paul@city-fan.org> - 2.10-4
- Fix dist tag for CentOS 6 and Scientific Linux

* Wed Mar 23 2011 Paul Howarth <paul@city-fan.org> - 2.10-3
- Unconditionally BR: perl(Test::Kwalitee)
- Nobody else likes macros for commands

* Tue Mar 22 2011 Paul Howarth <paul@city-fan.org> - 2.10-2
- BR: perl(Test::Kwalitee)

* Tue Feb  8 2011 Paul Howarth <paul@city-fan.org> - 2.10-1
- Initial RPM version
